<?php

/**
 * @file
 * Page callbacks and form builder functions for administering payments.
 */

/**
 * Menu item title callback.
 *
 * @param $payment
 *   The payment object as loaded via the URL wildcard.
 * @return
 *   A page title of the format "Payment: [ID]".
 */
function pgapi_ui_payment_title($payment) {
  return t('Payment: @id', array('@id' => $payment->txnid));
}

/**
 * Form callback wrapper: create or edit a payment.
 *
 * @param $payment
 *   The payment object being edited by this form.
 *
 * @see pgapi_payment_form()
 */
function pgapi_ui_payment_form_wrapper($payment) {
  // Include the forms file from the PGAPI module.
  module_load_include('inc', 'pgapi', 'includes/pgapi.forms');
  return drupal_get_form('payment_ui_payment_form', $payment);
}

/**
 * Form callback wrapper: confirmation form for deleting a payment.
 *
 * @param $payment
 *   The payment object being deleted by this form.
 *
 * @see pgapi_payment_delete_form()
 */
function pgapi_ui_payment_delete_form_wrapper($payment) {
  // Include the forms file from the PGAPI module.
  module_load_include('inc', 'pgapi', 'includes/pgapi.forms');
  return drupal_get_form('pgapi_ui_payment_delete_form', $payment);
}
