<?php

/**
 * @file
 * Contains field handler for link to delete payment.
 */

/**
 * Field handler to present a link to delete a product.
 */
class pgapi_handler_field_transaction_link_delete extends pgapi_handler_field_transaction_link {
  function construct() {
    parent::construct();

    // $this->additional_fields['type'] = 'type';
    $this->additional_fields['uid'] = 'uid';
  }

  function render($values) {
    // Ensure the user has access to delete this product.
    $payment_id = $this->get_value($values, 'txnid');

    $text = !empty($this->options['text']) ? $this->options['text'] : t('delete');

    return l($text, 'admin/pgapi/payments/' . $payment_id . '/delete', array('query' => drupal_get_destination()));
  }
}
