<?php

/**
 * @file
 * Views for the default transactions UI.
 */

/**
 * Implements hook_views_default_views().
 */
function pgapi_views_default_views() {
  $views = array();

  // Payments admin list at admin/reports/payments.
  $view = new view();
  $view->name = 'pgapi_payments';
  $view->description = 'Display a list of payments for site admin.';
  $view->tag = 'payments';
  $view->base_table = 'pgapi_transaction';
  $view->human_name = 'Payments';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Payments';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'more';
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Apply';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Reset';
  $handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Sort by';
  $handler->display->display_options['exposed_form']['options']['sort_asc_label'] = 'Asc';
  $handler->display->display_options['exposed_form']['options']['sort_desc_label'] = 'Desc';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Items per page';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- All -';
  $handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Offset';
  $handler->display->display_options['pager']['options']['tags']['first'] = '« first';
  $handler->display->display_options['pager']['options']['tags']['previous'] = '‹ prev';
  $handler->display->display_options['pager']['options']['tags']['next'] = 'next ›';
  $handler->display->display_options['pager']['options']['tags']['last'] = 'last »';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'txnid' => 'txnid',
    'title' => 'title',
    'amount' => 'amount',
    'status' => 'status',
    'delete_transaction' => 'delete_transaction',
  );
  $handler->display->display_options['style_options']['default'] = 'txnid';
  $handler->display->display_options['style_options']['info'] = array(
    'txnid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'delete_transaction' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  /* Поведение при отсутствии результатов: Глобальный: Текстовое поле */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'At now Payments not found.';
  $handler->display->display_options['empty']['area']['format'] = 'full_html';
  /* Поле: Payment Transaction: Код транзакции */
  $handler->display->display_options['fields']['txnid']['id'] = 'txnid';
  $handler->display->display_options['fields']['txnid']['table'] = 'pgapi_transaction';
  $handler->display->display_options['fields']['txnid']['field'] = 'txnid';
  $handler->display->display_options['fields']['txnid']['label'] = 'ID';
  $handler->display->display_options['fields']['txnid']['link_to_transaction'] = 0;
  /* Поле: Payment Transaction: Заголовок */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'pgapi_transaction';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['link_to_transaction'] = 1;
  /* Поле: Payment Transaction: Payment amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'pgapi_transaction';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['label'] = 'Amount';
  $handler->display->display_options['fields']['amount']['link_to_transaction'] = 0;
  /* Поле: Payment Transaction: Состояние */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'pgapi_transaction';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['link_to_transaction'] = 0;
  /* Поле: Payment Transaction: Operations links */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'pgapi_transaction';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  $handler->display->display_options['fields']['operations']['label'] = 'Operations';
  $handler->display->display_options['fields']['operations']['add_destination'] = 1;
  /* Критерий сортировки: Payment Transaction: Код транзакции */
  $handler->display->display_options['sorts']['txnid']['id'] = 'txnid';
  $handler->display->display_options['sorts']['txnid']['table'] = 'pgapi_transaction';
  $handler->display->display_options['sorts']['txnid']['field'] = 'txnid';
  /* Критерий фильтра: Payment Transaction: Код транзакции */
  $handler->display->display_options['filters']['txnid']['id'] = 'txnid';
  $handler->display->display_options['filters']['txnid']['table'] = 'pgapi_transaction';
  $handler->display->display_options['filters']['txnid']['field'] = 'txnid';
  $handler->display->display_options['filters']['txnid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['txnid']['expose']['operator_id'] = 'txnid_op';
  $handler->display->display_options['filters']['txnid']['expose']['label'] = 'Filter by transaction number';
  $handler->display->display_options['filters']['txnid']['expose']['operator'] = 'txnid_op';
  $handler->display->display_options['filters']['txnid']['expose']['identifier'] = 'payment_id';
  $handler->display->display_options['filters']['txnid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );

  /* Display: Admin page */
  $handler = $view->new_display('page', 'Admin page', 'page');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['path'] = 'admin/reports/payments/list';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'List';
  $handler->display->display_options['menu']['weight'] = '-10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Payments';
  $handler->display->display_options['tab_options']['description'] = 'Manage payments of your site.';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $translatables['pgapi_payments'] = array(
    t('Master'),
    t('Payments'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ prev'),
    t('next ›'),
    t('last »'),
    t('At now Payments not found.'),
    t('ID'),
    t('Title'),
    t('Amount'),
    t('Status'),
    t('Operations'),
    t('Filter by transaction number'),
    t('Admin page'),
  );

  $views[$view->name] = $view;

  return $views;
}
